package TextInTag;

sub new
{
    my $self = shift;
    my $class = ref($self) || $self;
    my $tag = shift;

    return bless {tag => $tag,
                  intag => 0,
                  text => '',
                  loc => (),}, $class;
}

sub start_element
{
    my ($self, $info) = @_;

    if ($self->{intag} >= 1)
    {
        $self->{intag}++;
    }
    else
    {
        if ($info->{Name} eq $self->{tag})
        {
            $self->{intag} = 1;
        }
    }
}

sub end_element
{
    my ($self, $info) = @_;

    if ($self->{intag} > 1)
    {
        $self->{intag}--;
    }
    else
    {
        if ($info->{Name} eq $self->{tag})
        {
	    if (!open(TRACE, ">>MKC-tmp_textintag.txt")) {
		&mkPrintErreur("ERREUR : Impossible d\'ouvrir le fichier textintag.txt : \n");
		return;
	    }
            print TRACE "$info->{Name} -> $self->{text}\n";
	    close(TRACE);
            $self->{intag} = 0;
            $self->{text} = '';
        }
    }
}    

sub characters
{
    my ($self, $info) = @_;

    $self->{text} .= $info->{Data} if ($self->{intag} == 1);
}

1;
