#!/usr/bin/perl -w
##############################################################################
#AUTHORS: 	Fleury Serge
#VERSION: 	1.0.2
#email:		serge.fleury@univ-paris3.fr
#url:		http://www.cavi.univ-paris3.fr/ilpga/ilpga/sfleury/mkcorpusProject.htm
#date:		June/2002
#FILE:
#    This file is part of MKCorpus.
##############################################################################
# loader - starts Perl scripts without the annoying DOS window
use strict;
use Win32;
use Win32::Process;

# Create the process object.

Win32::Process::Create($Win32::Process::Create::ProcessObj,
    "C:\\perl\\bin\\perl.exe",             # Whereabouts of Perl
    "perl loadMkCorpus.pl",           #
    0,                                  # Don't inherit.
    DETACHED_PROCESS,                   #
    ".") or                             # current dir.
die print_error();

sub print_error() {
    return Win32::FormatMessage( Win32::GetLastError() );
}
