<<DOC; 
S. Fleury
15/01/01

               addTagInTextNode.pl :


Format d'entre : 
addTagInTextNode.pl corpus listeNewTag

le fichier listeNewTag contient le transcodage : ajout de noeud autour de forme

Format de sortie :
corpus.mod.xml : rcriture du fichier

A faire :

Bugs et problmes :


DOC
#-----------------------------
use XML::Parser;


        %liste_tagInput_addTagInTextNode= ();

#-------Lecture du trabscodage, ex : #il#pro# pour remplacer ensuite il par <pro>il</pro>
	if (!open(TMPFILE, "$ARGV[1]")) {
	    print "ERREUR : Impossible d\'ouvrir le fichier de transcodage,\n ce fichier est indispensable pour cette option\n";
	    exit;
	}
	while(<TMPFILE>) {
	    $_=~/^#([^#]+)#([^#]+)#/;
	    $liste_tagInput_addTagInTextNode{$1}="<$2>$1<\/$2>";	    
	    print "$1 devient $liste_tagInput{$1}\n";
	}
	close(TMPFILE);

#-------Ouverture du corpus
	if (!open(TMPFILE,"$ARGV[0]")) {
	print "ERREUR : Ouverture impossible Fichier INPUT\n";
	exit;
        }
	$FichierCaracteres = "$ARGV[0]".".mod.xml";
	if (!open(TMPFILE2, ">$FichierCaracteres")) {
	    print "ERREUR : Ouverture Impossible $FichierCaracteres \n";
	    exit;
	}
#-----------------------
        my $parser = new XML::Parser(ErrorContext => 2);
        $parser->setHandlers( Start => \&start_tag_addTagInTextNode,
			      End => \&end_tag_addTagInTextNode,
			      Char => \&char_addTagInTextNode,
			      Default => \&default_addTagInTextNode
			      );
        
# Parse the input file
eval {
	$parser->parsefile($ARGV[0]);
};
if ($@) {
	print "Caught Error : $@\n";
	}
#-----------------------
	close(TMPFILE);
	close(TMPFILE2);

print "Fichier construit : ". "$ARGV[0]".".mod.xml \n";

#------------------------------
sub start_tag_addTagInTextNode {
	print "***Executing StartTag***\n";
	my ($this, $element, %attributes) = @_;
	my $string = $this->original_string;
	print "StartTag->$string<-\n\n";
	print TMPFILE2 $string;
	print "START : $string\n";
} # end of my_start_tag

sub end_tag_addTagInTextNode {
	print "***Executing EndTag***\n";
	my ($this, $element) = @_;
	my $string = $this->original_string;
	print "EndTag->$string<-\n\n";
	print TMPFILE2 $string;
	print "END : $string\n";
} # end of my_end_tag

sub char_addTagInTextNode {
    my %seen=();
    print "***Executing Char***\n";
    my $this = shift;
    my $string = $this->original_string;
    print "Char->$string<-\n";
    print "Length: " . length($string) . "\n\n";
    $_=$string;
    while ( /(\w[\w-]*)/g ){
	print "CHAINE LUE : $tmp\n";
	$seen{$1}++;
    }
    foreach $keys (keys %seen) {
	if (exists ($liste_tagInput_addTagInTextNode{$keys})) {
	    $string=~s/([^\w]*)$keys([^\w]*)/$1$liste_tagInput_addTagInTextNode{$keys}$2/g;
	}
    }
    print TMPFILE2 $string;
} # end of my_char

sub default_addTagInTextNode {
    print "***Executing Default***\n";
    my $this = shift;
    my $string = $this->original_string;
    print "Default->$string<-\n";
    print "Length: " . length($string) . "\n\n";
    print TMPFILE2 $string;
} # end of my_default
