sub querymodele {

    my ($label_1,$label_2,$label_3,$label_4) = @_;

    my $query = $winMain::mw ->Toplevel(-title=>'(Query)');
    $query->geometry("400x300+100+100");
    my $imgLogo=$query->Photo(-file=>"pics/logo-mkc.gif");
    my $lblLogo=$query->Button(-image=>$imgLogo)->place(-y=>0,-x=>0,-width=>400,-height=>300);
    my $frame1 = $query->Frame()->pack(-side=>'bottom', -pady=>5);
    my $frameG1 = $frame1->Frame()->pack(-side=>'top', -pady=>5);
    my $frameD1 = $frame1->Frame()->pack(-side=>'bottom', -pady=>5);
    my $frameG2 = $frameG1->Frame()->pack(-side=>'left', -pady=>5);
    my $frameD2 = $frameG1->Frame()->pack(-side=>'right', -pady=>5);
    my $frameG3 = $frameD1->Frame()->pack(-side=>'left', -pady=>5);
    my $frameD3 = $frameD1->Frame()->pack(-side=>'right', -pady=>5);
    my $frame2 = $query->Frame()->pack();
    my $frame3 = $query->Frame()->pack();
    my $libelF = $frameG2->Label(-text=>'$label_1 :')->pack(-padx=>5);
    my $defil = $frameD2-> Scrollbar(-orient => "horizontal");
    my $fieldF = $frameD2->Entry(-highlightcolor => "blue", -xscrollcommand => ['set' => $defil] )
	->pack(		-fill => 'x',
			-expand => 1);
    $defil->pack(-fill => 'x',
		 -expand => 1);
    $defil->configure(-command => [$fieldF => 'xview']);
    my $libelE = $frameG3->Label(-text=>'$label_2 :')->pack(-padx=>5);
    my $defil2 = $frameD3-> Scrollbar(-orient => "horizontal");
    my $fieldE = $frameD3->Entry(-highlightcolor => "red", -xscrollcommand => ['set' => $defil2] )
	->pack(		-fill => 'x',
			-expand => 1);
    $defil2->pack(-fill => 'x',
		  -expand => 1);
    $defil2->configure(-command => [$fieldE => 'xview']);
    my $raz = $query->Button(-text=>'RAZ', -activeforeground=>"blue",-relief=>'flat', -command=>\&eraseField)->pack(-side=>'left', -padx=>5, -pady=>5);
    my $calcul = $query->Button(-text=>'Colloc', -activeforeground=>"blue",-relief=>'flat', -command=>\&loadQUERYMODELE)->pack(-side=>'left', -padx=>5, -pady=>5);
    my $help = $query->Button(-text=>'Help', -activeforeground=>"blue",-relief=>'flat', -command=>\&helpQUERYMODELE)->pack(-side=>'right', -padx=>5, -pady=>5);
    my $fin = $query->Button(-text=>'Exit', -activeforeground=>"blue",-relief=>'flat', -command=>sub {$query->destroy()})->pack(-side=>'right', -padx=>5, -pady=>5);


    sub eraseField {
	    if (Exists($fieldF)) {$fieldF->delete(0, 'end')};
	    if (Exists($fieldE)) {$fieldE->delete(0, 'end')};
    }


    sub helpQUERYMODELE {
        if (! Exists ($pn1)) {
	$pn1 = $winMain::mw ->Toplevel();
	$pn1->title("HELP");
	my $label = $pn1->Label( -background => 'black',
				  -foreground =>  'white', -anchor => 'w' );
	my $texte2 = $pn1->Scrolled("MarkupTools")->pack(-side => 'bottom',
				      -fill => 'both',
				      -expand => 1);

	$texte2->Text(-setgrid => 'true');
	&updateMarkupWindow($texte2,$label);
	my $tmpfile="Doc/help_QUERYMODELE.txt";
	$texte2->IncludeFile($tmpfile);

	$pn1->Button(-text => "Close",
		     -command =>  sub {$pn1->destroy()})->pack(-side => 'top', -pady => 5, -padx => 10);

	my $w_save=$pn1->Button(-text => "Save",
		     -image => $imageSave,
		     -command => sub {$texte2->FileSaveAsPopup()})->pack(-side => 'top', -pady => 5, -padx => 10);
	$winMain::winBalloon->attach($w_save,
			    -balloonmsg => "Save"
			    );
    }
	else {
	    $pn1->deiconify();
	    $pn1->raise();
	}
    }


    sub loadQUERYMODELE {
	my $chemin=$fieldF->get();
	my $cheminout=$fieldE->get();
    }

}

